function [Mu,m]=MNstrsblk(b,D,Fc,epsu,sgmy,E,...
    N,pi,di)
% revised by K.Mizumoto 2022/05/13
%       k2の計算方法を修正

eta=N/(b*D*Fc);
k1=beta1(1,Fc);
k2=0.5*k1;
k3=0.85;
di1=di/D;
qi=sgmy*pi/Fc;

errtlr=0.001;
dxn1=0.001;

% %初期値計算
% if eta>0
%     xn1a=eta/(k1*k3);
% else
%     xn1a=di1(1);
% end
%初期値探索(目的関数の導関数が連続でないため初期値を比較的正確に与える)
xn1a=0.01;
[sgmia]=sgmxn1(xn1a,di1,E,sgmy,epsu);
qqia=pi.*sgmia/Fc;
etaxn1a=k1*k3*xn1a+sum(qqia);
ya=eta-etaxn1a;
yb=ya;
erra=abs(ya);
errb=inf;
while erra<errb
    errb=erra;
    yb=ya;
    xn1a=xn1a+0.01;
    [sgmia]=sgmxn1(xn1a,di1,E,sgmy,epsu);
    qqia=pi.*sgmia/Fc;
    etaxn1a=k1*k3*xn1a+sum(qqia);
    ya=eta-etaxn1a;
    erra=abs(ya);
end
xn1a=xn1a-0.01;

%初期値
[sgmia]=sgmxn1(xn1a,di1,E,sgmy,epsu);
qqia=pi.*sgmia/Fc;
etaxn1a=k1*k3*xn1a+sum(qqia);
ya=eta-etaxn1a;

while abs(ya)>errtlr
    xn1apd=xn1a+dxn1;
    [sgmipd]=sgmxn1(xn1apd,di1,E,sgmy,epsu);
    qqipd=pi.*sgmipd/Fc;
    etaxn1pd=k1*k3*xn1apd+sum(qqipd);
    ypd=eta-etaxn1pd;
    dydx=(ypd-ya)/dxn1;
    xn1b=xn1a-ya/dydx;
    [sgmib]=sgmxn1(xn1b,di1,E,sgmy,epsu);
    qqib=pi.*sgmib/Fc;
    etaxn1b=k1*k3*xn1b+sum(qqib);
    yb=eta-etaxn1b;
    xn1a=xn1b;
    ya=yb;
    sgmia=sgmib;
end
xn1=xn1a;
sgmi=sgmia;

d1qi=di1.*qi;
g1=(0.5*k3+sum(d1qi))/(k3+sum(qi));
d1psgmi=di1.*pi.*sgmi;
d1psgmin=d1psgmi/Fc;
m=-sum(d1psgmin)+eta*g1-k2*xn1*k1*k3*xn1;
Mu=m*b*D^2*Fc;

return