% ひずみの適合条件を考慮した接合部横補強筋と柱中段筋の応力の算定
function [Thc,Tmc] = Tpanel(n,Ab,Ac,Db,Dc,eps_u,Esb,Esc,gc,R,Thy,Tmy,xi1,xi2x,xi2y)

theta = zeros(n,1);
dLb = zeros(n,1);
dLc = zeros(n,1);
Thc = zeros(n,1);  % c：compatibility（適合性）
Tmc = zeros(n,1);

for i = 1:n
    theta(i) = (1+R(i)^2)/R(i)*eps_u/xi1(i);  % 式(15)改：theta=θb+θc
    dLb(i) = (theta(i)/2-xi2x(i)*theta(i)-eps_u/R(i))*Db(i);  % 式(16a)
    dLc(i) = (theta(i)/2-xi2y(i)*theta(i)-eps_u*R(i))*Dc(i);  % 式(16b)
    
    Thc(i) = Esb(i)*Ab(i)*dLb(i)/(gc(i)*Dc(i));
    if abs(Thc(i)) > abs(Thy(i))  % 降伏強度による制限
        if Thc(i) > Thy(i)
            Thc(i) = Thy(i);
        else
            Thc(i) = -Thy(i);
        end
    end
    Tmc(i) = Esc(i)*Ac(i)*dLc(i)/Db(i);
    if abs(Tmc(i)) > abs(Tmy(i))  % 降伏強度による制限
        if Tmc(i) > Tmy(i)
            Tmc(i) = Tmy(i);
        else
            Tmc(i) = -Tmy(i);
        end
    end
end

return