% ExcelからMATLABの変数にデータ入力
function [no,fc_b,fc_c,fc,L,Nb,b_b,Db,pt_B,sigma_by,Esb, ...
    n_top1b,d_top1b,n_top2b,d_top2b,n_btm1b,d_btm1b,n_btm2b,d_btm2b, ...
    H,eta,b_c,Dc,pg_c,sigma_cy,Esc, ...
    n_top1c,d_top1c,n_top2c,d_top2c,n_btm1c,d_btm1c,n_btm2c,d_btm2c, ...
    n_m,n_h,a_h,sigma_hy] = input_data_Est(dataset)

% n：(ここではデータの個数ではなく)主筋の本数，top：上段筋，btm(bottom)：下段筋，1 or 2：主筋の段数，b or c：梁，柱の意
no = fillmissing(dataset.no,'constant',0);              % 試験体番号

% コンクリート
fc_b = fillmissing(dataset.fc_b, 'constant',0);         % コンクリート梁の圧縮強度[N/mm2]
fc_c = fillmissing(dataset.fc_c,'constant',0);          % コンクリート柱の圧縮強度[N/mm2]
fc = fillmissing(dataset.fc,'constant',0);              % コンクリート接合部の圧縮強度[N/mm2]

% 梁（a_b→pt_B）
L = fillmissing(dataset.L,'constant',0);                % スパン[mm]
Nb = fillmissing(dataset.Nb,'constant',0)*1000;         % 梁の軸方向力[N]（元データの単位は[kN]）
b_b = fillmissing(dataset.b_b,'constant',0);            % 梁断面の幅[mm]
Db = fillmissing(dataset.Db,'constant',0);              % 梁せい[mm]
pt_B = fillmissing(dataset.pt_b,'constant',0);          % 梁の引張鉄筋比[-]
sigma_by = fillmissing(dataset.sigma_by,'constant',0);  % 梁主筋の降伏強度[N/mm2]
Esb = fillmissing(dataset.Esb,'constant',0)*1000;       % 梁主筋のヤング係数[N/mm2]（元データの単位は[kN/mm2]）

% 梁主筋の配筋
n_top1b = fillmissing(dataset.n_top1b,'constant',0);    % 1段目の上端筋（圧縮主筋）の本数
d_top1b = fillmissing(dataset.d_top1b,'constant',0);    % 上端から上端筋1段目までの高さ[mm]
n_top2b = fillmissing(dataset.n_top2b,'constant',0);    % 2段目の上端筋（圧縮主筋）の本数（上端から1段目，2段目と数えている）
d_top2b = fillmissing(dataset.d_top2b,'constant',0);    % 上端筋1段目から上端筋2段目までの高さ[mm]
n_btm1b = fillmissing(dataset.n_btm1b,'constant',0);    % 1段目の下端筋（引張主筋）の本数
d_btm1b = fillmissing(dataset.d_btm1b,'constant',0);    % 下端から下端筋1段目までの高さ[mm]
n_btm2b = fillmissing(dataset.n_btm2b,'constant',0);    % 2段目の下端筋（引張主筋）の本数（下端から1段目，2段目と数えている）
d_btm2b = fillmissing(dataset.d_btm2b,'constant',0);    % 下端筋1段目から下端筋2段目までの高さ[mm]

% 柱（a_c→pg_c，Nc→eta）
H = fillmissing(dataset.H,'constant',0);                % 階高[mm]
eta = fillmissing(dataset.eta,'constant',0);            % 柱の軸力比[-]
b_c = fillmissing(dataset.b_c,'constant',0);            % 柱断面の幅[mm]
Dc = fillmissing(dataset.Dc,'constant',0);              % 柱せい[mm]
pg_c = fillmissing(dataset.pg_c,'constant',0);          % 柱の主筋比[-]
sigma_cy = fillmissing(dataset.sigma_cy,'constant',0);  % 柱主筋の降伏強度[N/mm2]
Esc = fillmissing(dataset.Esc,'constant',0)*1000;       % 柱主筋のヤング係数[N/mm2]（元データの単位は[kN/mm2]）

% 柱主筋の配筋
n_top1c = fillmissing(dataset.n_top1c,'constant',0);    % 1段目の上端筋（圧縮主筋）の本数
d_top1c = fillmissing(dataset.d_top1c,'constant',0);    % 上端から上端筋1段目までの高さ[mm]
n_top2c = fillmissing(dataset.n_top2c,'constant',0);    % 2段目の上端筋（圧縮主筋）の本数（上端から1段目，2段目と数えている）
d_top2c = fillmissing(dataset.d_top2c,'constant',0);    % 上端筋1段目から上端筋2段目までの高さ[mm]
n_btm1c = fillmissing(dataset.n_btm1c,'constant',0);    % 1段目の下端筋（引張主筋）の本数
d_btm1c = fillmissing(dataset.d_btm1c,'constant',0);    % 下端から下端筋1段目までの高さ[mm]
n_btm2c = fillmissing(dataset.n_btm2c,'constant',0);    % 2段目の下端筋（引張主筋）の本数（下端から1段目，2段目と数えている）
d_btm2c = fillmissing(dataset.d_btm2c,'constant',0);    % 下端筋1段目から下端筋2段目までの高さ[mm]

% 柱中段筋と接合部横補強筋
n_m = fillmissing(dataset.n_m,'constant',0);            % 柱中断筋の本数
n_h = fillmissing(dataset.n_h,'constant',0);            % 接合部横補強筋の本数
a_h = fillmissing(dataset.a_h,'constant',0);            % 接合部横補強筋1本当たりの公称断面積[mm2]
sigma_hy = fillmissing(dataset.sigma_hy,'constant',0);  % 接合部横補強筋の降伏強度[N/mm2]

return